Bug 419911 - Kernel crashes under heavy samba load
Kernel crashes under heavy samba load
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-11 10:51 EST by Ryan Sammartino
Modified: 2009-01-09 00:29 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:29:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Sammartino 2007-12-11 10:51:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.8.1.11) Gecko/20071127 Firefox/2.0.0.11

Description of problem:
Under heavy load the samba daemon will trigger a crash in the kernel:

Dec 11 15:36:10 localhost kernel: ------------[ cut here ]------------
Dec 11 15:36:10 localhost kernel: kernel BUG at fs/dcache.c:986!
Dec 11 15:36:10 localhost kernel: invalid opcode: 0000 [#3] SMP 
Dec 11 15:36:10 localhost kernel: Modules linked in: rfcomm l2cap bluetooth auto
fs4 coretemp hwmon sunrpc nf_conntrack_ipv4 ipt_REJECT iptable_filter ip_tables 
nf_conntrack_ipv6 xt_state nf_conntrack nfnetlink xt_tcpudp ip6t_ipv6header ip6t
_REJECT ip6table_filter ip6_tables x_tables loop dm_multipath ipv6 snd_hda_intel
 snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss
 snd_mixer_oss snd_pcm firewire_ohci snd_timer firewire_core serio_raw i2c_i801 
snd_page_alloc snd_hwdep button e1000e nvidia(P)(U) iTCO_wdt snd pcspkr crc_itu_
t iTCO_vendor_support soundcore i2c_core sr_mod sg cdrom pata_marvell dm_snapsho
t dm_zero dm_mirror dm_mod ata_generic ata_piix sata_sil libata sd_mod scsi_mod 
ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd
Dec 11 15:36:10 localhost kernel: CPU:    3
Dec 11 15:36:10 localhost kernel: EIP:    0060:[<c048fd70>]    Tainted: P      D
 VLI
Dec 11 15:36:10 localhost kernel: EFLAGS: 00010287   (2.6.23.8-63.fc8 #1)
Dec 11 15:36:10 localhost kernel: EIP is at d_instantiate+0xf/0x60
Dec 11 15:36:10 localhost kernel: eax: f4876cc0   ebx: f6244628   ecx: f5d3ac68 
  edx: f6244628
Dec 11 15:36:10 localhost kernel: esi: f4876cc0   edi: f4876d00   ebp: 00000005 
  esp: f61eaea4
Dec 11 15:36:10 localhost kernel: ds: 007b   es: 007b   fs: 00d8  gs: 0033  ss: 
0068
Dec 11 15:36:10 localhost kernel: Process smbd (pid: 2840, ti=f61ea000 task=f7e6
0610 task.ti=f61ea000)
Dec 11 15:36:10 localhost kernel: Stack: f6ebd3c0 f6244600 f6244628 c05b2079 000
00000 00000000 c06b5c2d 00000000 
Dec 11 15:36:10 localhost kernel:        f6244600 f6092c00 c05b343a c0480ece 000
00000 00000000 f7ff4198 f5c31840 
Dec 11 15:36:10 localhost kernel:        00000000 00000001 ffffffff f621de40 000
00000 00000000 00000000 00000000 
Dec 11 15:36:10 localhost kernel: Call Trace:
Dec 11 15:36:10 localhost kernel:  [<c05b2079>] sock_attach_fd+0x53/0xb2
Dec 11 15:36:10 localhost kernel:  [<c05b343a>] sys_accept+0xae/0x1d1
Dec 11 15:36:10 localhost kernel:  [<c0480ece>] do_sync_read+0xc7/0x10a
Dec 11 15:36:10 localhost kernel:  [<c043d495>] autoremove_wake_function+0x0/0x3
5
Dec 11 15:36:10 localhost kernel:  [<c043d638>] remove_wait_queue+0x16/0x22
Dec 11 15:36:10 localhost kernel:  [<c05b3633>] sys_socketcall+0xd6/0x261
Dec 11 15:36:10 localhost kernel:  [<c040518a>] syscall_call+0x7/0xb
Dec 11 15:36:10 localhost kernel:  =======================
Dec 11 15:36:10 localhost kernel: Code: 40 88 06 00 89 ea 89 d8 89 6b 0c e8 5f 4
5 01 00 31 f6 83 c4 0c 89 f0 5b 5e 5f 5d c3 57 56 89 c6 53 89 d3 8d 78 40 39 78 
40 74 04 <0f> 0b eb fe b8 80 68 73 c0 e8 d0 ee 18 00 85 db 74 0a 8d 53 18 
Dec 11 15:36:10 localhost kernel: EIP: [<c048fd70>] d_instantiate+0xf/0x60 SS:ES
P 0068:f61eaea4


Version-Release number of selected component (if applicable):
kernel-2.6.23.8-63.fc8

How reproducible:
Always


Steps to Reproduce:
1. Mount your home directory via samba on a WinXP machine, call it (say) Z:
2. Do something that really exercises the disk (in my case, compiling a very large project with Visual Studio on Z:)
3. Watch the fireworks.

Actual Results:
Eventually (usually within 5 minutes), the build will fail, the kernel will crash, and a reboot is necessary.

Expected Results:
No crash.

Additional info:
Comment 1 Chuck Ebbert 2007-12-11 19:10:55 EST
fs/dcache.c:986:
        BUG_ON(!list_empty(&entry->d_alias));
Comment 2 Bug Zapper 2008-11-26 03:57:09 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-09 00:29:08 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.